# Guild AI

[![CircleCI](https://circleci.com/gh/guildai/guildai/tree/release.svg?style=shield)](https://circleci.com/gh/guildai/guildai/tree/release)
[![Appveyor](https://ci.appveyor.com/api/projects/status/github/guildai/guildai?branch=release&svg=true)](https://ci.appveyor.com/project/GarrettSmith/guildai)
[![PyPI version](https://badge.fury.io/py/guildai.svg)](https://badge.fury.io/py/guildai)

This is the source repository for Guild AI.

Guild AI is an [open source](LICENSE.txt) toolkit that automates and
optimizes machine learning experiments.

- Run unmodified training scripts, capturing each run result as a
  unique experiment
- Automate trials using grid search, random search, and Bayesian
  optimization
- Compare and analyze runs to understand and improve models
- Backup training related operations such as data preparation and
  test
- Archive runs to S3 or other remote systems
- Run operations remotely on cloud accelerators
- Package and distribute models for easy reproducibility

For more on features, see [Guild AI -
Features](https://guild.ai).

Important links:

- **[Get Started with Guild AI](https://my.guild.ai/start)**
- **[Get Help with Guild AI](https://my.guild.ai)**
- **[Latest Release on PyPI](https://pypi.python.org/pypi/guildai)**
- **[Documentation](https://my.guild.ai/docs/)**
- **[Issues on GitHub](https://github.com/guildai/guildai/issues)**
